$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.107-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.107-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '69280B4017544F01B232CE700DE0A4A3E62CFBA90FB08B32AFC3EA6AF294F6A4'
  checksumType = 'sha256'
  checksum64 = '69280B4017544F01B232CE700DE0A4A3E62CFBA90FB08B32AFC3EA6AF294F6A4'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.107-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
